Set-Variable WslInstalledMagic -option Constant -value 46789798

$status = (Get-WindowsOptionalFeature -Online -FeatureName Microsoft-Windows-Subsystem-Linux).State
if ( $? -ne $true ) {
	exit 1
}

if ( $status -eq "Disabled" ) {
 	Enable-WindowsOptionalFeature -Online -NoRestart -FeatureName Microsoft-Windows-Subsystem-Linux -All
 	if ( $? -ne $true ) {
		exit 1
	}

	exit $WslInstalledMagic
}

exit 0